Print Management

Print Management provides a central administration point for sharing printers on a network and managing print server and network printer tasks.

  • Overview of Print and Document Services

  • Overview of Print Management

  • Checklist: Deploy Print Servers

  • Deploying Printers and Print Servers

  • Managing Printers and Print Servers

  • Resources for Print Management

  • User Interface: Print Management


Overview of Print and Document Services

Print and Document Services is a server role in Windows Server 2008 R2 that enables you to share printers and scanners on a network, set up print servers and scan servers, and centralize network printer and scanner management tasks. You can do these tasks using the Print Management and Scan Management Microsoft Management Console (MMC) snap-ins. You can use the snap-ins to monitor network printers and scanners, and to manage Windows print servers and scan servers in your organization.

Managing print and scan resources

There are three primary tools that you can use to manage Windows print servers and scan servers:

  • Server Manager

  • Print Management

  • Scan Management

In Windows Server 2008 R2, you use Server Manager to install the Print and Document Services server role and role services. These role services also install the Print Management and Scan Management snaps-ins.

The Print Management and Scan Management snaps-ins are also available on computers running Windows 7.

Print Management helps you to monitor print queues and receive notifications when print queues stop processing print jobs. It also enables you to migrate print servers and deploy printer connections using Group Policy.

Scan Management enables you to monitor network scanners and scan servers, process scanned documents, and then route the scanned documents to network folders, Windows SharePoint Web sites, and to e-mail recipients.

Print and Document Services role services

The Print and Document Services role in Windows Server 2008 R2 includes four relevant role services for managing print and scan resources. The first three role services provide the functionality for a print server, while Distributed Scan Server provides the functionality for a scan server. You can add these role services while you are installing the Print and Document Services role using the Add Roles Wizard for Server Manager. Or you can install them at a later time using the Add Role Services Wizard for Server Manager.

Note

Because Windows 7 is a client operating system, it does not include role services. Instead, it includes the Print Management and Scan Management MMC snap-ins. Windows 7 also includes the Line Printer Daemon (LPD) Print Service role service as an optional Windows feature. Windows 7 does not include the Internet Printing or Distributed Scan Server role services.

Print Server role service

Print Server is a role service of the Print and Document Services role, and installs the Print Management snap-in. You can use Print Management to manage multiple network printers or print servers, and migrate printers to and from other Windows print servers.

LPD Service role service

The LPD Service role service that installs and starts the TCP/IP Print Server (LPDSVC) service, which enables UNIX-based computers or other computers that are using the Line Printer Remote (LPR) service to print to shared printers on this server.

Internet Printing role service

The Internet Printing role service in Windows Server 2008 R2 creates a Web site hosted by Internet Information Services (IIS). This Web site enables users to manage print jobs on the server, and to use a Web browser to connect and print to shared printers on the server by using the Internet Printing Protocol (IPP). (Users must have Internet Printing Client installed.)

Distributed Scan Server role service

Distributed Scan Server is a role service that installs the Scan Management snap-in. You can use Scan Management to monitor multiple network scanners, configure scan servers, process scanned documents, and then route the scanned documents throughout your network.

Additional references

For more information about the Print and Document Services role, see http://go.microsoft.com/fwlink/?LinkID=127821.


Overview of Print Management

On computers running Windows® 7 and Windows Server® 2008 R2, you can share printers on a network and centralize print server and network printer management tasks using the Print Management Microsoft Management Console (MMC) snap-in. Print Management helps you to monitor print queues and receive notifications when print queues stop processing print jobs. It also enables you to migrate print servers and deploy printer connections using Group Policy.

Tools for managing a print server

There are two primary tools that you can use to administer a Windows print server:

  • Server Manager

  • Print Management

On Windows Server 2008 R2, you can use Server Manager to install the Print and Document Services server role and role services. Server Manager also includes an instance of the Print Management snap-in, which you can use to administer the local server.

Print Management provides current details about the status of printers and print servers on the network. You can use Print Management to install printer connections to a group of client computers simultaneously and to monitor print queues remotely. Print Management can help you to find printers that have an error condition by using filters. It can also send e-mail notifications or run scripts when a printer or print server needs attention. On printers that provide a Web-based management interface, Print Management can display more data, such as toner and paper levels.

Note

To manage a remote print server, you must be a member of the Print Operators or Server Operators groups, or the local Administrators group on the remote print server. You do not need these permissions to monitor remote print servers, though some functionality will be disabled.

Services for print servers and network printers

The Print and Document Services role in Windows Server 2008 R2 includes the following three role services that are relevant for managing your print servers and network printers. You can add these role services while you are installing the Print Services role using the Add Roles Wizard of Server Manager. Or you can install them at a later time by using the Add Role Services Wizard of Server Manager.

Note

Because Windows 7 is a client operating system, it does not include role services. Instead, it includes the Print Management snap-in. Windows 7 also includes LPD Print Service as an optional Windows feature. You can install LPD Print Service from Control Panel using Programs and Features. Windows 7 does not include the Internet Printing feature or Distributed Scan Server role service.

Print Server

Print Server is a role service that installs the Print Management snap-in. Print Management is used for managing multiple printers or print servers and migrating printers to and from other Windows print servers. After you share a printer, Windows enables the File and Printer sharing exception in Windows Firewall with Advanced Security.

LPD Service

The Line Printer Daemon (LPD) Service installs and starts the TCP/IP Print Server (LPDSVC) service, which enables UNIX-based computers or other computers that are using the Line Printer Remote (LPR) service to print to shared printers on this server. It also creates an inbound exception for port 515 in Windows Firewall with Advanced Security.

No configuration is necessary for this service. However, if you stop or restart the Print Spooler service, the TCP/IP Print Server service is also stopped, and it is not automatically restarted.

To print to a printer or print server that uses the LPD protocol, you can use the Network Printer Installation wizard and a Standard TCP/IP printer port. However you must install the Line Printer Remote (LPR) Port Monitor feature to print to a UNIX print server. To do so, use one of the following methods:

  • In Control Panel, click Programs and Features, click Turn Windows features on or off, expand Print and Document Services, select the LPR Port Monitor check box, and then click OK.

  • In Server Manager, click Add Features, select the LPR Port Monitor check box, and then click OK.

Internet Printing

The Internet Printing role service in Windows Server 2008 R2 creates a Web site hosted by Internet Information Services (IIS). This Web site enables users to:

  • Manage print jobs on the server.

  • Use a Web browser to connect and print to shared printers on this server by using the Internet Printing Protocol (IPP). (Users must have Internet Printing Client installed.)

To manage a server by using the Web site created by Internet Printing, open a Web browser and navigate to http://servername/printers, where servername is the UNC path of the print server.

To install the Internet Printing Client, use one of the following methods:

  • In Windows 7: in Control Panel, click Programs and Features, click Turn Windows features on or off, expand Print and Document Services, select the Internet Printing Client check box, and then click OK.

  • In Windows Server 2008 R2: in Server Manager, click Add Features, select the Internet Printing Client check box, and then click OK.

Additional references

  • Print Management

  • Install Print Components


Checklist: Deploy Print Servers

Task | Reference
Review the basic concepts as needed. | Overview of Print Management
Install the Print and Document Services role and applicable print role services, and open the Print Management snap-in. | Install Print Components
Add or remove print servers using the Print Management snap-in. | Add or Remove Print Servers
Migrate print servers if needed. | Migrate Print Servers
Add network printers to the print server automatically. | Add Network Printers Automatically
Deploy printer connections to users or computers as needed. | Deploying Printers by Using Group Policy
List or remove printers from Active Directory Domain Services. | List or Remove Printers from Active Directory Domain Services
Install updated printer drivers on the server, including 32-bit or 64-bit drivers. | Update and Manage Printer Drivers
Control how users who are not members of the local Administrators group can install printer drivers. | Control Printer Driver Installation Security

Additional references

Print Management


Deploying Printers and Print Servers

The following sections provide information about how to deploy printers and print servers:

  • Install Print Components

  • Add or Remove Print Servers

  • Migrate Print Servers

  • Add Network Printers Automatically

  • Deploying Printers by Using Group Policy

  • List or Remove Printers from Active Directory Domain Services

Additional references

Print Management


Install Print Components

The Print Management snap-in is installed by default on computers running Windows 7, but it is not installed on computers running Windows Server 2008 R2. Use either one of the following methods to install the Print Management snap-in on a computer running Windows Server 2008 R2:

  • To install the Print Management snap-in and configure the server to be a print server - From Server Manager, use the Add Roles Wizard to install both the Print and Document Services role and the Print Server role service.

  • To install the Print Management snap-in without configuring the server to be a print server - From Server Manager, use the Add Features Wizard to install the Print Services Tools option of the Remote Server Administration Tools feature.

To open Print Management on a computer running Windows 7 or Windows Server 2008 R2, click Start, point to Administrative Tools, and then click Print Management.

Note

Print Management may not accurately display the status of remote computers when it is monitoring more than 10 print servers on a computer that is running Windows Vista. This is because computers running Windows Vista support a maximum of 10 concurrent network connections. To remotely monitor a large number of print servers, use Remote Desktop to log on to a computer that has Print Management installed and is running Windows Server 2008 R2.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have administrative credentials to perform this task.

Additional references

  • Deploying Printers and Print Servers


Add or Remove Print Servers

By default, the Print Management snap-in allows you to manage the local computer. However, you can manage or monitor any number of print servers that are running Windows 2000, Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 by adding the print servers to Print Management.

Note

Print Management may not accurately display the status of remote computers when monitoring more than 10 print servers on a computer running Windows Vista. This is because computers running Windows Vista support a maximum of 10 concurrent network connections. To remotely monitor a large number of print servers, use Remote Desktop to log on to a computer that has Print Management installed and is running Windows Server 2008 R2.

To add print servers to Print Management

  1. Open Print Management.

  2. In the left pane, right-click Print Management, and then click Add/Remove Servers.

  3. In the Add/Remove Servers dialog box, under Specify print server, in Add server, do one of the following:

    • Type or paste the names of the print servers—use commas to separate computer names.

    • Click Browse to locate and select the print server.

  4. Click Add to List.

  5. Add as many print servers as you want, and then click OK.

    Note

    You can add the local server on which you are working by clicking Add the Local Server. You cannot add remote servers to Print Management from within Server Manager.
To remove print servers from Print Management

  1. Open Print Management.

  2. In the left pane, right-click Print Management, and then click Add/Remove Servers.

  3. In the Add/Remove Servers dialog box, under Print servers, select one or more servers, and click Remove.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions to perform this task.

Additional references

  • Deploying Printers and Print Servers


Migrate Print Servers

You can export print queues, printer settings, printer ports, and language monitors, and then import them on another print server running a Windows operating system. This is an efficient way to consolidate multiple print servers or replace an older print server.

Tools for print server migration

The tool you use to migrate print servers is determined by:

  • The source operating system you want to migrate from.

  • The destination operating system you want to migrate to.

  • Whether the migration involves 64-bit operating systems and drivers.

Supported migration scenarios

The following table describes the supported and unsupported migration scenarios for the Printer Migration Wizard and Print Migrator 3.1, whether x64-based systems and drivers are supported, and how to access each tool:

Tool | Supported migration scenarios | Unsupported migration scenarios | Support for x64-based systems and drivers? | Availability
Printer Migration Wizard, Printbrm.exe command-line tool | Windows Vista - Supports all migrations to Windows Vista. Windows Server 2008 R2 - You cannot migrate directly from older operating systems (Windows NT Server 4.0, Windows 2000 Server) to Windows Server 2008 R2. Instead, you must migrate from the older operating system to a computer running Windows Vista, then migrate from Windows Vista to Windows Server 2008 R2. | Does not support migrations from Windows 2000 Server and older systems. | Yes. The Printer Migration Wizard is the only Microsoft-supported migration tool that works with 64-bit systems and drivers. | Available through the Print Management snap-in or through the command line by using Printbrm.exe on computers running Windows 7 Enterprise, Windows 7 Ultimate, and Windows Server 2008 R2.
Print Migrator 3.1 | Supports migration to Windows Server 2003 from all previous Windows operating systems. | Does not support migration to Windows Vista and later operating systems. | No. 64-bit drivers or systems are not supported. | Available online. Print Migrator 3.1 was also shipped in resource kits for Windows 2000 Server and Windows Server 2003.

Migrating to computers running Windows Server 2003

If you are migrating from Windows NT Server 4 or Windows 2000 Server to Windows Server 2003, you must use Print Migrator 3.1. Print Migrator 3.1 will not work with Windows Vista or later operating systems. It is unable to work with system drivers. To migrate between x64 Windows Server 2003 systems, use the Print Migration Wizard.

Note

Print Migrator 3.1 is no longer supported by Microsoft. The Printer Migration Wizard and the Printbrm.exe command-line tool were introduced in Windows 7 to replace it.

Migrating to computers running Windows Server 2008 R2

Use the Printer Migration Wizard or the Printbrm.exe command-line tool to migrate to a computer running Windows Server 2008 R2. Use the Printbrm.exe command-line tool on computers running Windows Vista, and Windows Server 2008. On Windows Server 2003, you can only use it to remotely manage print servers.

Note
  • You cannot migrate directly from older operating systems (Windows NT Server 4.0, Windows 2000 Server) to Windows Server 2008 R2. Instead, you must migrate from the older operating system to a computer running Windows Vista, then migrate from Windows Vista to Windows Server 2008 R2.

  • For an in-place upgrade (a reinstallation) of print servers, use the Print Migration Wizard to back up and restore the print server configuration. A standard system migration will not preserve print server information, and can result in print configuration data loss if the data has not been properly backed up before installing the new operating system.

Migrating print servers

  • Using the Windows interface

  • Using a command prompt
To migrate print servers by using Print Management

  1. Open Print Management.

  2. In left pane, click Print Servers, right-click the print server that contains the printer queues that you want to export, and then click Export printers to a file. This starts the Printer Migration Wizard.

  3. On the Select the file location page, specify the location to save the printer settings, and then click Next to save the printers.

  4. Right-click the destination computer on which you want to import the printers, and then click Import printers from a file. This launches the Printer Migration Wizard.

  5. On the Select the file location page, specify the location of the printer settings file, and then click Next.

  6. On the Select import options page, specify the following import options:

    • Import mode. Specifies what to do if a specific print queue already exists on the destination computer.

    • List in the directory. Specifies whether to publish the imported print queues in the Active Directory Domain Services.

    • Convert LPR Ports to Standard Port Monitors. Specifies whether to convert Line Printer Remote (LPR) printer ports in the printer settings file to the faster Standard Port Monitor when importing printers.

  7. Click Next to import the printers.
To migrate print servers by using a command prompt

  1. To open a Command Prompt window, click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

  2. Type:

    CD %WINDIR%\System32\Spool\Tools Printbrm -s \\<sourcecomputername> -b -f <filename>.printerExport

  3. Type:

    Printbrm -s \\<destinationcomputername> -r -f <filename>.printerExport

Value | Description
<sourcecomputername> | The Universal Naming Convention (UNC) name of the source or destination computer.
<destinationcomputername> | The Universal Naming Convention (UNC) name of the destination computer.
<filename> | The file name for the printer settings file. Use the .printerExport or .cab file extensions.
Note

To view the complete syntax for this command, at a command prompt type: Printbrm /?

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have administrative credentials to perform this task.

  • The Printer Migration Wizard and Printbrm.exe can import custom forms and color profiles to the local computer only, and they do not support printer settings that are exported using the Print Migrator tool.

  • You can use the Task Scheduler feature of Windows to schedule the Printbrm.exe tool to regularly export or import printers. You can use this feature to supplement system backups.

Additional references

  • Deploying Printers and Print Servers

  • Command-line syntax notation


Add Network Printers Automatically

You can use the Print Management snap-in to automatically detect all the printers that are located on the same subnet as the computer on which you are running Print Management, install the appropriate printer drivers, set up the queues, and share the printers.

To add a printer by IP address or hostname, you must be a member of the local Administrators group or be granted the Manage Server permission.

To automatically add network printers to a print server

  1. Open Print Management.

  2. In left pane, click Print Servers, click the applicable print server, right-click Printers, and then click Add Printer.

  3. On the Printer Installation page of the Network Printer Installation Wizard, click Search the network for printers, and then click Next. If prompted, specify which driver to install for the printer.
Note

To add printers that are on the same subnet as a remote print server, use Remote Desktop to log on to the print server, open Print Management and then add the printer.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • If you are a member of the local Administrators group, you can grant someone else the Manage Server permission to be able to add a printer by IP address or hostname. To do this, open Print Management, double-click Print Servers, right-click the applicable print server, and click Properties. On the Printer Server Properties dialog box, click the Security tab, select the user from the list, click the Manage Server check box under Allow, and then click OK.

  • If the Print Management snap-in is not available because the Print Server role service is not installed on this server, you must have administrative privileges to be able to add a printer by IP address or hostname. While in the Add Printer Wizard, select Add a local or network printer as an administrator and follow the instructions in the Add Printer Wizard to add a printer using administrative privileges.

  • To add Web Services for Devices (WSD) printers for sharing and to view them on your network, network discovery must be enabled and the PnP-X IP Bus Enumerator service must be running. To add a WSD printer, you must be a member of Administrators group.

    To enable network discovery, click Start, click Control Panel, and then click Network and Internet. On the Network and Internet page, click Network and Sharing Center. On the Network and Sharing Center page, click Change advanced sharing settings. On the Advanced sharing settings page, Click the arrow next to Domain, click turn on network discovery, and then click Save changes.

    To start the PnP-X IP Bus Enumerator service, Click Start, click Administrative Tools and then click Services. In the center pane, right-click PnP-X IP Bus Enumerator and then click Start.

Additional references

  • Deploying Printers and Print Servers


Deploying Printers by Using Group Policy

You can use the Print Management snap-in with Group Policy to automatically deploy printer connections to users or computers and install the appropriate printer drivers. This method of installing a printer is useful in a laboratory, classroom, or branch office setting where most computers or users need to access the same printers. It is also a useful method for deploying printer drivers to users who are not members of the local Administrators group and are running Windows 7.

To deploy printer connections by using Group Policy, your environment must meet the following requirements:

  • The Active Directory Domain Services (AD DS) schema must use a Windows Server 2008 or Windows Server 2008 R2 schema version.

  • Client computers that are not running Windows 7 or Windows Server 2008 R2 must use the PushPrinterConnections.exe tool in a startup script (for per-computer connections) or in a logon script (for per-user connections).

The following topics provide information about how to deploy printer connections by using Group Policy:

  • Deploy Printer Connections

  • Deploy the PushPrinterConnections.exe Utility

  • Change Driver Installation Security for Printers Deployed Using Group Policy

Important

To perform these procedures, you must be a member of the local Administrators group and have write access to Group Policy objects (GPOs) in the AD DS domain or the organizational unit (OU) to which you want to deploy printer connections.

Additional references

  • Deploying Printers and Print Servers

  • Windows Server 2008 R2 Technical Library - http://go.microsoft.com/fwlink/?LinkId=92735


Deploy Printer Connections

To deploy printer connections to users or computers by using Group Policy, you must add the printer connections to a Group Policy object (GPO) as described in the procedure.

To deploy printers to users or computers by using Group Policy

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and click Printers.

  3. In the center pane, right-click the applicable printer, and then click Deploy with Group Policy.

  4. In the Deploy with Group Policy dialog box, click Browse, and then choose or create a new GPO for storing the printer connections.

  5. Click OK.

  6. Specify whether to deploy the printer connections to users, or to computers:

    • To deploy to groups of computers so that all users of the computers can access the printers, select the The computers that this GPO applies to (per machine) check box.

    • To deploy to groups of users so that the users can access the printers from any computer they log onto, select the The users that this GPO applies to (per user) check box.

    Note

    Client computers running Windows 2000 do not support per-computer connections.

  7. Click Add.

  8. Repeat steps 3 through 6 to add the printer connection setting to another GPO, if necessary.

  9. Click OK.

Note

For per-computer connections, Windows adds the printer connections when the user logs on (or when the computer restarts if you are using the PushPrinterConnections.exe utility). For per-user connections, Windows adds the printer connections during background policy refresh (or when the user logs on if you are using the PushPrinterConnections.exe utility). If you remove the printer connection settings from the GPO, Windows removes the corresponding printers from the client computer during the next background policy refresh or user logon (or on the next restart or user logon if you are using the PushPrinterConnections.exe utility).

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

Additional references

  • Deploying Printers by Using Group Policy

  • Deploy the PushPrinterConnections.exe Utility


Deploy the PushPrinterConnections.exe Utility

To deploy printer connections by using Group Policy on computers that are running versions of Windows released prior to Windows 7, you must add the PushPrinterConnections.exe utility to a computer startup script or to a user logon script. The PushPrinterConnections.exe utility reads the printer connection settings from Group Policy and adds the appropriate printer connections to the computer or user account (or updates existing connections).

The PushPrinterConnections.exe file automatically detects and exits on computers running Windows 7 or Windows Server 2008 R2. These computers have built-in support for printer connections that are deployed using Group Policy, so you can safely deploy this file to all the client computers in your organization.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008 R2. To install GPMC on Windows Server 2008 R2, use the Add Features Wizard in Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To add the PushPrinterConnections.exe file to startup or logon scripts

  1. Open the GPMC.

  2. In the GPMC console tree, navigate to the domain or organizational unit (OU) that stores the computer or user accounts where you want to deploy the PushPrinterConections.exe utility.

  3. Right-click the GPO that contains the printer connections that you want to deploy using Group Policy, and then click Edit.

  4. Navigate to one of the following locations:

    • If the printer connections are deployed per-computer, go to Computer Configuration, Policies, Windows Settings, Scripts (Startup/Shutdown).

    • If the printer connections are deployed per-user, go to User Configuration, Policies, Windows Settings, Scripts (Logon/Logoff).

    Note

    Client computers running Windows 2000 do not support per-computer connections.

  5. Right-click Startup or Logon, and then click Properties.

  6. In the Startup Properties or Logon Properties dialog box, click Show Files. The Startup or Logon window appears.

  7. Copy the PushPrinterConnections.exe file from the %WINDIR%\System32 folder to the Startup or Logon window. This adds the utility to the GPO, where it will replicate to the other domain controllers with the Group Policy settings.

  8. In the Startup Properties or Logon Properties dialog box, click Add. The Add Script dialog box appears.

  9. In the Script Name box, type: PushPrinterConnections.exe

  10. To enable logging on client computers running Windows Server 2003, Windows XP, or Windows 2000, in the Script Parameters box, type: –log

    Log files are written to %WINDIR%\temp\ppcMachine.log (for per-computer connections) and to %temp%\ppcUser.log (for per-user connections) on the computer where the policy is applied.

  11. In the Add Script dialog box, click OK.

  12. In the Startup Properties or Logon Properties dialog box, click OK.

  13. Use GPMC to link the GPO to other OUs or domains to which you want to deploy the PushPrinterConnections.exe utility.

Additional considerations

  • You must have Administrative permissions to perform this task.

Additional references

  • Deploying Printers by Using Group Policy


Change Driver Installation Security for Printers Deployed Using Group Policy

Except for Windows 7 and Windows Server 2008 R2, the default security settings for legacy Windows operating systems allow a user who is not a member of the local Administrators group to install only trustworthy printer drivers, such as those provided with Windows operating systems or in digitally signed printer-driver packages.

To allow users who are not members of the local Administrators group to install printer connections that are deployed using Group Policy and include printer drivers that are not digitally signed, you must configure the Point and Print Restrictions Group Policy settings. If you do not configure these Group Policy settings, users might need to provide local Administrators group credentials.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008 R2. To install GPMC on Windows Server 2008 R2, use the Add Features Wizard in Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To change driver installation security settings for printers that are deployed by using Group Policy

  1. Open the GPMC.

  2. Open the GPO where the printer connections are deployed, and navigate to User Configuration, Policies, Administrative Templates, Control Panel, and then Printers.

  3. Right-click Point and Print Restrictions, and then click Properties.

  4. Click Enabled.

  5. Clear the following check boxes:

    • Users can only point and print to these servers

    • Users can only point and print to machines in their forest

  6. In the When installing drivers for a new connection box, select Do not show warning or elevation prompt.

  7. Scroll down, and in the When updating drivers for an existing connection box, select Show warning only.

  8. Click OK.

After configuring these settings, all users are able to receive printer connections and the drivers to their user accounts by using Group Policy, without prompts or warning. Users receive a warning before updated drivers from the print server are installed, but they do not need to belong to the local Administrators group to install the updated drivers.

Additional references

  • Deploying Printers by Using Group Policy

  • Group Policy Windows Server 2008 Technical Library - http://go.microsoft.com/fwlink/?LinkID=92735.


List or Remove Printers from Active Directory Domain Services

Listing printers in Active Directory Domain Services (AD DS) makes it easier for users to locate and install printers. After you install printers on a printer server, you can use Print Management to list them in AD DS.

You can list more than one printer simultaneously. You may want to set up a filter to show all of the printers that you want to list or remove, so that you can easily select all of the printers at the same time.

To list or remove printers in AD DS

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and then click Printers.

  3. In the center pane, right-click the printer that you want to list or remove, and then click either List in Directory or Remove from Directory.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions to perform this task.

Additional references

  • Deploying Printers and Print Servers


Managing Printers and Print Servers

The following topics provide information about how to manage printers and print servers by using Print Management:

  • Update and Manage Printer Drivers

  • Control Printer Driver Installation Security

  • Create a New Printer Filter

  • Create a New Driver Filter

  • View Extended Features for Your Printer

  • Add and Manage Ports

  • Manage Forms

  • Set Permissions for Print Servers

You can perform bulk operations on all the printers on a particular server or all the printers under a particular filter. You can perform the following actions on multiple printers simultaneously:

  • Pause or resume printing

  • Cancel all jobs

  • List or remove printers from Active Directory Domain Services (AD DS)

  • Delete printers

You can also export a list of drivers, forms, ports, or printers by clicking More Actions in the Actions pane, and then clicking Export List.

Additional references

Print Management


Update and Manage Printer Drivers

The following sections provide information about how to use the Print Management snap-in to manage printer drivers on a print server:

  • Add drivers for client computers running 32-bit or 64-bit versions of Windows

  • Update or change printer drivers

  • Remove printer drivers

Add drivers for client computers running 32-bit or 64-bit versions of Windows

To support client computers that use different processor architectures than the print server, you must install additional drivers. For example, if your print server is running a 64-bit version of Windows and you want to support client computers running 32-bit versions of Windows, you must add x86-based drivers for each printer.

Note

You can add printer drivers that are up to 2GB in size. You will not be able to back up printer drivers that are larger than 2GB.

To add client printer drivers to the print server

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and then click Printers.

  3. In the center pane, right-click the printer to which you want to add additional printer drivers, and then click Manage Sharing.

  4. Click Additional Drivers. The Additional Drivers dialog box appears.

  5. Select the check box of the processor architecture for which you want to add drivers.

    For example, if the print server is running an x64-based edition of Windows, select the x86 check box to install 32-bit version printer drivers for client computers running 32-bit versions of Windows.

  6. If the print server does not already have the appropriate printer drivers in its driver store, Windows prompts you for the location of the driver files. Download and extract the appropriate driver files, and then in the dialog box that appears, specify the path to the .inf file of the driver.

    Note

    You might not be able to extract some printer drivers without installing them. If this is the case, log on to a client computer that uses the same processor architecture as the printer drivers that you want to add to the print server, and install those printer drivers. Then use Print Management from the client computer to connect to the print server, and add the additional drivers from the Additional Drivers dialog box. Windows automatically uploads the drivers from the client computer to the print server.

Update or change printer drivers

To update or change the printer drivers for a printer, use the following procedure. Client computers automatically download and install the updated printer drivers the next time they attempt to print to the printer.

Note

When installing printer drivers that are provided by the device manufacturer, follow the instructions provided with the printer driver instead of using this procedure.

To update or change printer drivers for a printer

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and then click Printers.

  3. In the center pane, right-click the printer with the driver that you want to change or update, and then click Properties.

  4. Click the Advanced tab.

  5. Select a new driver from the Driver box, or click New Driver to install a new printer driver.

Remove printer drivers

When you install a printer driver on a computer that is running Windows 7 or Windows Server 2008 R2, Windows first installs the printer driver to the local driver store, and then installs it from the driver store.

When removing printer drivers, you have the option to delete only the printer driver or remove the entire printer-driver package. If you delete the printer driver, Windows uninstalls the printer driver, but leaves the printer-driver package in the driver store to allow you to reinstall the driver at some point. If you remove the printer-driver package, Windows removes the package from the driver store, completely removing the printer driver from the computer.

To remove printer drivers from a server, use the following procedure:

To remove printer drivers

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and then click Printers.

  3. In the center pane, right-click those printers that use the driver that you want to delete, or change the driver that is used by each printer to another driver.

  4. In the left pane, click Print Servers, click the applicable print server, and then click Drivers.

  5. In the center pane, right-click the driver and do one of the following:

    • To delete only the installed driver files, click Delete.

    • To remove the driver package from the driver store, completely removing the driver from the computer, click Remove Driver Package.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have administrative credentials to perform this task.

Additional references

  • Managing Printers and Print Servers

  • Printing Architecture and Driver Support (http://go.microsoft.com/fwlink/?LinkID=92657)


Control Printer Driver Installation Security

The default security settings for Windows 7 and Windows Server 2008 R2 allow users who are not members of the local Administrators group to install only trustworthy printer drivers, such as those provided with Windows or in digitally signed printer-driver packages. This helps to ensure that users do not install untested or unreliable printer drivers or drivers that have been modified to contain malicious code (malware). However, it means that sometimes users cannot install the appropriate driver for a shared printer, even if the driver has been tested and approved in your environment.

The following sections provide information about how to allow users who are not members of the local Administrators group to connect to a print server and install printer drivers that are hosted by the server:

  • Installing printer-driver packages on the print server

  • Using Group Policy to deploy printer connections to users or computers

  • Using Group Policy to modify printer driver security settings

Installing printer-driver packages on the print server

Printer-driver packages are digitally signed printer drivers that install all the components of the driver to the driver store on client computers (if the server and the client computers are running Windows 7 Windows Server 2008 R2). Additionally, using printer-driver packages on a print server that is running Windows 7 or Windows Server 2008 R2 enables users who are not members of the local Administrators group to connect to the print server and install or receive updated printer drivers.

To use printer-driver packages, on a print server that is running Windows Server 2008 R2 or Windows 7, download and install the appropriate printer-driver packages from the printer vendor.

Note

You can also download and install printer-driver packages from a print server to client computers that are running Windows Server 2003, Windows XP, and Windows 2000. However, the client computers do not check the driver's digital signature or install all components of the driver into the driver store because the client operating system does not support these features.

Using Group Policy to deploy printer connections to users or computers

Print Management can be used with Group Policy to automatically add printer connections to the Printers folder, without requiring the user to have local Administrator privileges. For more information, see Deploying Printers by Using Group Policy.

Using Group Policy to modify printer driver security settings

You can use the Point and Print Restrictions Group Policy setting to control how users can install printer drivers from print servers. You can use this setting to permit users to connect to only specific print servers that you trust. Because this setting prevents users from connecting to other print servers that could potentially host malicious or untested printer drivers, you can disable printer driver installation warning messages without adversely compromising security.

Carefully evaluate your users' printing needs before limiting which print servers they can connect to. If users occasionally need to connect to shared printers in a branch office or another department, make sure to include those printer servers on the list (if you trust the printer drivers that are installed on the servers).

You can also use the Point and Print Restrictions setting to disable warning prompts entirely, although this setting disables the enhanced printer driver installation security of Windows 7 and Windows Server 2008 R2 for these users.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008 R2. To install GPMC on Windows Server 2008 R2, use the Add Features Wizard of Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To modify the Point and Print Restrictions setting

  1. Open the Group Policy Management Console (GPMC).

  2. In the GPMC console tree, navigate to the domain or organizational unit (OU) that stores the user accounts for which you want to modify printer driver security settings.

  3. Right-click the appropriate domain or OU, click Create a GPO in this domain, and Link it here, type a name for the new GPO, and then click OK.

  4. Right-click the GPO that you created and then click Edit.

  5. In the Group Policy Management Editor tree, click User Configuration, click Policies, click Administrative Templates, click Control Panel, and then click Printers.

  6. Right-click Point and Print Restrictions, and then click Properties.

To permit users to connect only to specific print servers that you trust

  1. In the Point and Print Restrictions dialog box, click Enabled.

  2. Select the Users can only point and print to these servers check box if it is not already selected.

  3. In the text box, type the fully qualified server names to which you want to allow users to connect. Separate each name with a semi-colon.

  4. In the When installing drivers for a new connection box, choose Do not show warning or elevation prompt.

  5. In the When updating drivers for an existing connection box, choose Show warning only.

  6. Click OK.

    Note

    To disable driver installation warning messages and elevation prompts on computers that are running Windows 7 and Windows Server 2008 R2, in the Point and Print Restrictions dialog box, click Disabled, and then click OK. This setting disables the enhanced printer driver installation security of Windows 7 and Windows Server 2008 R2.

Additional considerations

  • You must have administrative credentials to perform this task.

Additional references

  • Managing Printers and Print Servers

  • Printing Architecture and Driver Support (http://go.microsoft.com/fwlink/?LinkID=92657)


Create a New Printer Filter

Printer filters are used to display only those printers that meet a certain set of criteria. For example, it might be helpful to filter for printers with certain error conditions or those printers in a group of buildings regardless of the print server they use.

Two default filters are provided with Print Management. For each filter that you create, you have the option to set up an e-mail notification or to run a script when the conditions of the filter are met.

Note

The print server role must be installed and you must be a member of the Administrators group to perform this task.

To set up and save a filtered view

  1. Open Print Management.

  2. Right-click the Custom Filters folder, and then click Add New Printer Filter. This will start the New Printer Filter Wizard.

  3. On the Printer Filter Name and Description wizard page, type a name for the printer filter. The name will appear in the Custom Printer Filters folder in the Print Management tree.

  4. In Description, type an optional description.

  5. To display the number of printers that satisfy the conditions of a filter, select the Display the total number of printers next to the name of the printer filter check box.

  6. Click Next.

  7. On the Define a printer filter wizard page, do the following:

    1. In the Field list, click the print queue or printer status characteristic.

    2. In the Condition list, click the condition.

    3. In the Value box, type a value.

    4. Continue adding criteria until your filter is complete, and then click Next.

  8. On the Set Notifications (Optional) wizard page, do one or both of the following:

    • To set an e-mail notification, select the Send e-mail notification check box, and type one or more recipient and sender e-mail addresses. An SMTP server must be specified to route the message. Use the format account@domain and semicolons to separate multiple accounts.

    • To set a script to run, select the Run script check box, and then type the path where the script file is located. To add more arguments, type them in Additional arguments.

  9. Click Finish.

    Note

    To set notifications on existing printer filters, right-click a filtered view, and then click Set Notifications.

Setting Optional Notifications

When you create or modify a filter, you have the option of sending an automatic e-mail notification to someone or running a script when the conditions of the filter are met. This is useful for resolving printer problems, particularly in an organization with multiple buildings and administrators.

For example, you can set up a view of all printers managed by a particular print server where the status does not equal Ready. Then, if a printer changes from the Ready status to another status, the administrator could receive a notification e-mail from Print Management.

In addition to setting notifications on a custom set of printers, you can set notifications on printer server objects. For example, if the server is offline, or the spooler goes down, an e-mail notification can be sent.

Script notifications are useful for resolving printer problems and troubleshooting. For example, you could automatically run a script to restart a spooler when printers go offline. You could also automatically run a script that prints a test page.

Scripts can be written in Visual Basic Script (.vbs) or any scripting language available on the computer. The script has to be on the computer with Print Management. The script should be running with your credentials and you need to have the permissions to do whatever it is that you want the script to do.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions to perform this task.

Additional references

  • Managing Printers and Print Servers


Create a New Driver Filter

You can use Print Management snap-in to create custom print driver filters. Filters display only those print drivers that meet a certain set of criteria.

Note

The Print Server role service must be installed and you must be a member of the Administrators group to perform this task.

To create a new driver filter

  1. Open Print Management.

  2. Right-click the Custom Filters folder, and then click Add New Driver Filter. This will start the New Driver Filter Wizard.

  3. On the Driver Filter Name and Description wizard page, type a name for the driver filter. The name will appear in the Custom Driver Filters folder in the Print Management tree.

  4. In Description, type an optional description.

  5. To display the number of printer drivers that satisfy the conditions of a filter, select the Display the total number of items next to the name of the filter check box.

  6. Click Next.

  7. On the Define a filter wizard page, do the following:

    1. In the Field list, click the driver characteristic.

    2. In the Condition list, click the condition.

    3. In the Value box, type a value.

    4. Continue adding criteria until your filter is complete, and then click Next.

  8. On the Set Notifications (Optional) wizard page, do one or both of the following:

    • To set an e-mail notification, select the Send e-mail notification check box, and type one or more recipient and sender e-mail addresses. An SMTP server must be specified to route the message. Use the format account@domain and semicolons to separate multiple accounts.

    • To set a script to run, select the Run script check box, and then type the path where the script file is located. To add more arguments, type them in Additional arguments.

  9. Click Finish.

    Note

    To set notifications on existing driver filters, right-click a filtered view, and then click Set Notifications.

Setting Optional Notifications

When you create or modify a filter, you have the option of sending an automatic e-mail notification to someone or running a script when the conditions of the filter are met. This is useful for resolving driver problems.

Script notifications are useful for resolving driver problems and troubleshooting.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have administrative credentials to perform this task.

Additional references

  • Managing Printers and Print Servers


View Extended Features for Your Printer

You can use the Print Management snap-in to view extended features for a printer. Extended view is useful when you want more information about the status of a print job, its owner, the number of pages, the size of the job, when it was submitted, its port, its priority, and other advanced job properties. In the Print Management snap-in, extended view displays beneath the columns in the right pane.

To show extended features for your printer

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, right-click Printers, and then click Show Extended View.

    Note

    To display or hide columns in extended view, select a printer. On the Jobs tab, right-click the column heading row, and then click the name of the column that you want to display or hide.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • In a domain with Internet Protocol security (IPsec) enabled, Web Services for Devices (WSD) printers must support and be configured for IPsec in order for printer events to be logged. IPsec does not allow non-IPsec compliant WSD printers to send data to a printer server that is in a domain with IPsec enabled.

Additional references

  • Managing Printers and Print Servers


Add and Manage Ports

You can use Print Management to add, delete, and configure printer ports for a print server.

To add and manage ports

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, and then click Ports.

  3. To add a new port, click Add Ports. In the Printer Ports dialog box, select an available port type, click New Port, type a name for the port, and then click OK.

  4. To add a new port type, click Add Ports. In the Printer Ports dialog box, type the folder path where the printer driver software INF file is located, and then click OK.

  5. To manage an existing port, click Manage Ports. In the Printer Server Properties dialog box, select the port and do the following:

    1. To delete a port, select the port, click Delete Port, and then click OK.

    2. To configure a port, select the port, click Configure Port, enter a value in seconds for the transmission timeout retry interval, and then click OK.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions to perform this task.

Additional references

  • Managing Printers and Print Servers


Manage Forms

You can use Print Management to manage printer forms.

To manage forms

  1. Open Print Management.

  2. In the left pane, click Print Servers, click the applicable print server, right-click Forms, and then click Manage Forms.

  3. In the Printer Server Properties dialog box, do the following:

    1. To create a new form, select an existing form, select the Create a new form check box, change the printer measurement units, paper size, and printer area margins as needed, click Save Form, and then click OK.

    2. To delete a form, select the form, click Delete, and then click OK.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions to perform this task.

Additional references

  • Managing Printers and Print Servers


Set Permissions for Print Servers

To secure a print server, you must consider what rights users and groups will have. You can secure a print server by granting specific rights to users or groups of users. For each user or group of users, you can grant or deny permission to:

  • Print documents

  • Manage printers

  • Manage documents

  • View details about the print server

  • Manage the print server

  • Use special permissions or advanced settings

Set permissions for print servers

  1. Open Print Management.

  2. In the left pane, click Print Servers, right-click the applicable print server and then click Properties.

  3. On the Security tab, under Group or users names, click a user or group for which you want to set permissions.

  4. Under Permissions for <user or group name>, select the Allow or Deny check boxes for the permissions listed as needed.

  5. To edit Special permissions, click Advanced.

  6. On the Permissions tab, click a user group, and then click Edit.

  7. In the Permission Entry dialog box, select the Allow or Deny check boxes for the permissions that you want to edit.

Additional considerations

  • To open Print Management, click Start, point to Administrative Tools, and then click Print Management.

  • You must have Administrative permissions in order to change permissions for users and groups.

Additional references

  • Managing Printers and Print Servers


Resources for Print Management

For more information about Print Management, see the following resources on the Microsoft Web site:

  • For information about Print and Document Services on Windows Server 2008 TechCenter, see http://go.microsoft.com/fwlink/?LinkId=92654.

  • For information about Print Server Troubleshooting, see http://go.microsoft.com/fwlink/?LinkId=92656.

  • For information about Printing—Architecture and Driver Support, see http://go.microsoft.com/fwlink/?LinkId=92657.

  • For information about Windows Server 2008 Print/Fax TechNet Forum, see http://go.microsoft.com/fwlink/?LinkId=92658.

  • For information about Windows Vista Print TechNet Forum, see http://go.microsoft.com/fwlink/?LinkId=92659.

Additional references

Print Management


User Interface: Print Management

The following topics provide descriptions of User Interface (UI) elements in Print Management:

  • Add/Remove Servers Dialog Box

  • Filter Properties Dialog Box

  • Deploy with Group Policy Dialog Box

  • Set Notifications Dialog Box

Additional references

Print Management


Add/Remove Servers Dialog Box

The following table provides descriptions of the User Interface (UI) elements for the Add/Remove Servers dialog box.

Element | Description
Add server | Adds the name of the print server you want Print Management to manage.
Add to List | Adds the print server to the list at the bottom of the page and clears the Add Server box.
Add the Local Server | Adds the computer on which you are logged on to the list of managed print servers.
Remove | Deletes the selection.
Remove All | Clears the entire list.

Additional references

  • User Interface: Print Management


Filter Properties Dialog Box

The following table provides descriptions of the User Interface (UI) elements for the Filter Properties dialog box.

Tab | Element | Description
General | Name | Provides a space for you to type a name for the printer filter.
General | Description | Provides a space for you to type a description for the printer filter that helps to differentiate it from other printer filters.
Filter Criteria | Field | Lists the available print queue or printer status characteristic.
Filter Criteria | Condition | Lists the available conditions.
Filter Criteria | Value | Lists the available values.
Filter Criteria | Clear All | Clears all criteria fields.

Additional references

  • User Interface: Print Management


Deploy with Group Policy Dialog Box

The following table provides descriptions of the User Interface (UI) elements for the Deploy with Group Policy dialog box.

Element | Description
The users that this GPO applies to (per user) | Specifies whether to assign the printer connection setting to the GPO on a per-user basis.
The computers that this GPO applies to (per machine) | Specifies whether to assign the printer connection setting to the GPO on a per-machine basis.
Browse | Specifies the GPO that deploys the printer connection.
Add | Adds the printer connection setting.
Remove | Deletes the selection.
Remove All | Clears the entire list.

Additional references

  • User Interface: Print Management


Set Notifications Dialog Box

The following table provides descriptions of the User Interface (UI) elements for the Set Notifications dialog box.

Element | Description
Send e-mail notification | Enables or disables sending an automatic e-mail notification to someone when the conditions of a filter are met.
Recipient e-mail address(es) | Provides a space for you to type the e-mail address of the recipient.
Sender e-mail address | Provides a space for you to type the e-mail address of the sender.
SMTP server | Provides a space for you to type the host name of the SMTP server that will forward the e-mail notifications.
Message | Provides a space for you to type a text message describing the conditions of the printer problem.
Run script | Enables or disables running a script when the conditions of a filter are met
Path | Provides a space for you to type the path where the script file is located.
Additional arguments | Provides a space for you to add more arguments.
Test | Tests the e-mail or script notification settings.

Additional references

  • User Interface: Print Management


Command-line syntax notation

The following table describes the notation used to indicate command-line syntax.

Notation | Description
Text without brackets or braces | Items you must type as shown
<Text inside angle brackets> | Placeholder for which you must supply a value
[Text inside square brackets] | Optional items
{Text inside braces} | Set of required items; choose one
Vertical bar (|) | Separator for mutually exclusive items; choose one
Ellipsis (…) | Items that can be repeated